Update an S3 user configuration
Updates the S3 user configuration for an SVM, modifying user settings as needed. Use this endpoint to manage S3 user access and credentials, including regenerating access keys if required.
HTTP method and endpoint
PATCH /protocols/s3/services/{svm.uuid}/users/{name}
Introduced in
ONTAP 9.7
Usage notes
Updates the S3 user configuration of an SVM.
Important notes
-
User access_key and secret_key pair can be regenerated using the PATCH operation.
-
User access_key and secret_key is returned in a PATCH operation if the "regenerate_keys" field is specified as true.
Recommended optional properties
-
regenerate_keys- Specifies if secret_key and access_key need to be regenerated. -
comment- Any information related to the S3 user.
Related ONTAP commands
-
vserver object-store-server user show -
vserver object-store-server user regenerate-keys
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
User name |
regenerate_keys |
boolean |
query |
False |
Specifies whether or not to regenerate the user keys.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
access_key |
string |
Specifies the access key for the user. |
comment |
string |
Can contain any additional information about the user being created or modified. |
svm |
Example request
{
"access_key": "<AWS-ACCESS-KEY-ID>",
"comment": "S3 user",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
Example response
{
"num_records": 1,
"records": [
{
"access_key": "<AWS-ACCESS-KEY-ID>",
"name": "user-1",
"secret_key": "<AWS-SECRET-ACCESS-KEY>"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
92405792 |
Failed to regenerate access-key and secret-key for user. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
s3_user
This is a container of S3 users.
| Name | Type | Description |
|---|---|---|
access_key |
string |
Specifies the access key for the user. |
comment |
string |
Can contain any additional information about the user being created or modified. |
svm |
collection_links
s3_service_user_post_response
| Name | Type | Description |
|---|---|---|
access_key |
string |
Specifies the access key for the user. |
name |
string |
The name of the user. |
secret_key |
string |
Specifies the secret key for the user. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |